use bitfield_struct::bitfield;

#[bitfield(u32)]
pub struct Flags {
  pub disable_hurtbox: bool,
  pub disable_hitbox: bool,
  pub disable_offscreen_horizontal: bool,
  pub disable_offscreen_vertical: bool,
  pub invincible: bool,
  pub intangible: bool,
  pub no_global_delete: bool,
  pub always_global_delete: bool,
  pub graze: bool,
  pub only_delete_on_dialog: bool,
  #[bits(22)]
  _a: u32,
}
